Bug 1565837 - [StAG7] Improve iSCSI documentation in chapter "Online Storage Management"
Summary: [StAG7] Improve iSCSI documentation in chapter "Online Storage Management"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Storage_Administration_Guide
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 7.6
Assignee: Apurva Bhide
QA Contact: Zhang Kexin
Apurva Bhide
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 21:43 UTC by Marek Suchánek
Modified: 2019-03-06 00:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-26 04:40:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marek Suchánek 2018-04-10 21:43:23 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/storage_administration_guide/online-storage-management#osm-target-setup

Section Number and Name: 25.1. "Target Setup", possibly also 25.2. "Creating an iSCSI Initiator"


This was reported by Sergei (spetrosi):

> For now, the section about configuring iSCSI is far not ideal. Lots of 
> important details are missing from it. It seems like someone just 
> documented a comment of some engineer without testing how it works irl.

Sergei links these pieces of documentation from other sources that do a better job:

> Section on the same subject int rhel6 guide, has some additional info:
> https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/html-single/storage_administration_guide/#ch-iscsi

> Ubuntu doc, has additional info on mounting. Not sure if that is accurate:
> https://help.ubuntu.com/lts/serverguide/iscsi-initiator.html
 
> FibreVillage doc that lists commands on initiator side, could be used 
> to describe how to log out of a target etc.:
> http://fibrevillage.com/storage/205-iscsiadm-command-examples-on-linux


The main issue seems to be that the procedures are incomplete, lacking key prerequisites (such as creating a partition) and not following use cases from start to finish. However, reach out to Sergei for more details if needed.


Note You need to log in before you can comment on or make changes to this bug.